Software requirements

From XBRLWiki
Jump to: navigation, search

Reporting Standard S.L. software requirements for desktop installation are as follows:

Make sure your computer meet the minimum Hardware requirements too

Version 3.3

  • This is version ready for 2019.
  • Starting with version 3.3 it is NO LONGER a requirement to install any Java virtual machine on your computer
  • This version is Certified by XBRL International. See XBRL Software Certification web site
  • This version covers XBRL 2.1, Dimensions 1.0, Formulas 1.0, Table Specification and all forms of iXBRL specifications. It can read/import and export to iXBRL
  • Operating system can be Windows (Windows Server 2008 SP2, Windows 7, 32 or 64 bits, Windows 8 or 8.1 32 or 64 bits, Windows 10 32 or 64 bits) or Unix (any kind of Linux, MacOSX etc).
  • Office 2007, 2010, 2013 or 2016 (only if you want to install the Excel Add In for Mapper and the Excel Formulas). This works only under windows.
  • .NET framework 4.0 Client Profile only on windows platform and when the Excel Add Ins are installed. From Microsoft Web Site.
  • VSTO 4.0 Runtime. (Microsoft Visual Studio 2010 Tools for Office Runtime) This is for Office 2007 and 2010. Can be downloaded from Microsoft Web Site. This is required for all Excel Add ins including Taxonomy * Editor and XBRL Mapper. This works under windows platforms only and MUST be installed after .NET framework 4.0 Client profile is installed.

Version 3.2

  • This version is the first version Certified by XBRL International. This version was launched on December 2017 and is now obsolete by version 3.3

Version 3.1.0 and later

  • Operating system can be Windows (Windows Server 2008 SP2, Windows 7, 32 or 64 bits, Windows 8 or 8.1 32 or 64 bits, Windows 10 32 or 64 bits) or Unix (any kind of Linux, MacOSX etc).
  • Our XBRL API at the bottom of all tools supports Java from version 1.7 at this time (May 2017) we announce we plan to update to Java 1.8 in our core API due to external dependencies of new features that are only implemented in Java 1.8 so it is recommended for all our clients to migrate to Java 1.8

Version 3.0.6

  • Operating system can be Windows (Windows Server 2003 SP2, Windows Server 2008 SP2, Windows 7, 32 or 64 bits, Windows 8 or 8.1 32 or 64 bits) or Unix (any kind of Linux, MacOSX etc).
  • Java 1.8 installed. It is not required that the Java virtual machine be the one from SUN (Oracle)
  • Office 2007, 2010, 2013 or 2016 (only if you want to install the Excel Add In for Mapper and the Excel Formulas). This works only under windows.
  • .NET framework 4.0 Client Profile only on windows platform and when the Excel Add Ins are installed. From Microsoft Web Site.
  • VSTO 4.0 Runtime. (Microsoft Visual Studio 2010 Tools for Office Runtime) This is for Office 2007 and 2010. Can be downloaded from Microsoft Web Site. This is required for all Excel Add ins including Taxonomy Editor and XBRL Mapper. This works under windows platforms only and MUST be installed after .NET framework 4.0 Client profile is installed.

Version 2.8.8

  • Operating system can be Windows (Windows Server 2003 SP2, Windows Server 2008 SP2, Vista or Windows 7, 32 or 64 bits, Windows 8 or 8.1 32 or 64 bits) or Unix (any kind of Linux, MacOSX etc).
  • Java 1.8 installed. It is not required that the Java virtual machine be the one from SUN (Oracle)
  • Office 2007, 2010 or 2013 (only if you want to install the Excel Add In for Mapper and the Excel Formulas). This works only under windows.
  • .NET framework 4.0 Client Profile only on windows platform and when the Excel Add Ins are installed. From Microsoft Web Site.
  • VSTO 4.0 Runtime. (Microsoft Visual Studio 2010 Tools for Office Runtime) This is for Office 2007 and 2010. Can be downloaded from Microsoft Web Site. This is required for all Excel Add ins including Taxonomy Editor and XBRL Mapper. This works under windows platforms only and MUST be installed after .NET framework 4.0 Client profile is installed.

Version 2.8.5

  • Operating system can be Windows (Windows Server 2003 SP2, Windows Server 2008 SP2, Vista or Windows 7, 32 or 64 bits, Windows 8 or 8.1 32 or 64 bits) or Unix (any kind of Linux, MacOSX etc).
  • Java 1.7 or 1.8 installed. It is not required that the Java virtual machine be the one from SUN (Oracle)
  • Office 2007, 2010 or 2013 (only if you want to install the Excel Add In for Mapper and the Excel Formulas). This works only under windows.
  • .NET framework 4.0 Client Profile only on windows platform and when the Excel Add Ins are installed. From Microsoft Web Site.
  • VSTO 4.0 Runtime. (Microsoft Visual Studio 2010 Tools for Office Runtime) This is for Office 2007 and 2010. Can be downloaded from Microsoft Web Site. This is required for all Excel Add ins including Taxonomy Editor and XBRL Mapper. This works under windows platforms only and MUST be installed after .NET framework 4.0 Client profile is installed.

Version 2.8.4

  • Operating system can be Windows (Windows Server 2003 SP2, Windows Server 2008 SP2, Vista or Windows 7, 32 or 64 bits, Windows 8 or 8.1 32 or 64 bits) or Unix (any kind of Linux, MacOSX etc).
  • Java 1.6 or 1.7 installed. It is not required that the Java virtual machine be the one from SUN (Oracle)
  • Office 2007, 2010 or 2013 (only if you want to install the Excel Add In for Mapper and the Excel Formulas). This works only under windows.
  • .NET framework 4.0 Client Profile only on windows platform and when the Excel Add Ins are installed. From Microsoft Web Site.
  • VSTO 4.0 Runtime. (Microsoft Visual Studio 2010 Tools for Office Runtime) This is for Office 2007 and 2010. Can be downloaded from Microsoft Web Site. This is required for all Excel Add ins including Taxonomy Editor and XBRL Mapper. This works under windows platforms only and MUST be installed after .NET framework 4.0 Client profile is installed.

Version 2.8.3

  • Operating system can be Windows (Windows Server 2003 SP2, Windows Server 2008 SP2, Vista or Windows 7, 32 or 64 bits, Windows 8 or 8.1 32 or 64 bits) or Unix (any kind of Linux, MacOSX etc).
  • Java 1.6 or 1.7 installed. It is not required that the Java virtual machine be the one from SUN (Oracle)
  • Office 2007, 2010 or 2013 (only if you want to install the Excel Add In for Mapper and the Excel Formulas). This works only under windows.
  • .NET framework 4.0 Client Profile only on windows platform and when the Excel Add Ins are installed. From Microsoft Web Site.
  • VSTO 4.0 Runtime. (Microsoft Visual Studio 2010 Tools for Office Runtime) This is for Office 2007 and 2010. Can be downloaded from Microsoft Web Site. This is required for all Excel Add ins including Taxonomy Editor and XBRL Mapper. This works under windows platforms only and MUST be installed after .NET framework 4.0 Client profile is installed.

Version 2.8.1 and 2.8.2

  • Operating system can be Windows (Windows Server 2003 SP2, Windows Server 2008 SP2, Vista or Windows 7, 32 or 64 bits, Windows 8 or 8.1 32 or 64 bits) or Unix (any kind of Linux, MacOSX etc).
  • Java 1.6 installed. It is not required that the Java virtual machine be the one from SUN (Oracle)
  • Office 2007, 2010 or 2013 (only if you want to install the Excel Add In for Mapper and the Excel Formulas). This works only under windows.
  • .NET framework 4.0 Client Profile only on windows platform and when the Excel Add Ins are installed. From Microsoft Web Site.
  • VSTO 4.0 Runtime. (Microsoft Visual Studio 2010 Tools for Office Runtime) This is for Office 2007 and 2010. This is required for all Excel Add ins including Taxonomy Editor and XBRL Mapper. This works under windows platforms only and MUST be installed after .NET framework 4.0 Client profile is installed.

Version 2.7.4 and up to version 2.7.7

  • Operating system can be Windows (XP SP3, Windows Server 2003 SP2, Windows Server 2008 SP2, Vista or Windows 7, 32 or 64 bits) or Unix (any kind of Linux, MacOSX etc).
  • Java 1.6 installed. It is not required that the Java virtual machine be the one from SUN (Oracle)
  • Office 2007 or 2010 (only if you want to install the Excel Add In for Mapper and the Excel Formulas). This works only under windows.
  • .NET framework 4.0 Client Profile only on windows platform and when the Excel Add Ins are installed. From Microsoft Web Site.
  • VSTO 4.0 Runtime. (Microsoft Visual Studio 2010 Tools for Office Runtime) This is for Office 2007 and 2010. This is required for all Excel Add ins including Taxonomy Editor and XBRL Mapper. This works under windows platforms only and MUST be installed after .NET framework 4.0 Client profile is installed.

Version 2.7.3

  • Operating system can be Windows (XP SP3, Vista or Windows 7, 32 or 64 bits) or Unix (any kind of Linux, MacOSX etc).
  • Java 1.6 installed. It is not required that the Java virtual machine be the one from SUN (Oracle)
  • Office 2007 or 2010 (only if you want to install the Excel Add In for Mapper and the Excel Formulas). This works only under windows.
  • .NET framework 4.0 Client Profile only on windows platform and when the Excel Add Ins are installed. From Microsoft Web Site.
  • VSTO 4.0 Runtime. (Microsoft Visual Studio 2010 Tools for Office Runtime) This is for Office 2007 and 2010. This is required for all Excel Add ins including Taxonomy Editor and XBRL Mapper. This works under windows platforms only and MUST be installed after .NET framework 4.0 Client profile is installed.

Version 2.6.12

  • Operating system can be Windows (XP SP3, Vista or Windows 7, 32 or 64 bits) or Unix (any kind of Linux, MacOSX etc).
  • Java 1.6 installed. It is not required that the Java virtual machine be the one from SUN (Oracle)
  • Office 2007 (only if you want to install the Excel Add In for Mapper and the Excel Formulas)
  • Office 2007 Interop Assemblies. Can be downloaded from Microsoft Downloads Web Site. This is required only for the Excel Add In.
  • .NET framework 3.5 only on windows platform and when the Excel Add In is installed.

Version 2.6.11

  • Operating system can be Windows (XP SP3, Vista or Windows 7, 32 or 64 bits) or Unix (any kind of Linux, MacOSX etc).
  • Java 1.6 installed. It is not required that the Java virtual machine be the one from SUN (Oracle)
  • Office 2007 (only if you want to install the Excel Add In for Mapper and the Excel Formulas)
  • Office 2007 Interop Assemblies. Can be downloaded from Microsoft Downloads Web Site. This is required only for the Excel Add In.
  • .NET framework 3.5 only on windows platform and when the Excel Add In is installed.

Navigate

Main Page